function polar( r, theta ) {
  let dt = radians( theta );
  
  let x = r * cos( dt );
  let y = r * sin( dt );
  
  return createVector( x, y );
}

function setup() {
  createCanvas( 500, 500 );
  background( 255 );
  fill( 0 );
  noStroke();
  
  for( let idx = 0; idx < 500; ++idx ) {
    let r = sqrt( idx ) * 10;
    let ang = 180 * (sqrt(5.0)-1.0) * idx;
    let P = polar( r, ang );
    ellipse( width/2+P.x, height/2+P.y, 10, 10 );
  }
}
