function setup() {
  createCanvas( 400, 600 );
}

function draw() {
  background( 0 );
  fill( 0 );
  stroke( 255 );
  strokeWeight( 2 );

  for ( let y = 100; y < 540; y += 10 ) {
    beginShape();
    vertex( 0, y );
    for ( let x = 50; x < 350; x += 5 ) {
      let offset = (x - 200) * 0.02;
      let amp = 1.0 / (1.0 + sq(offset));
      vertex( x, y - 40*amp*noise(x*0.05, y) );
      // Now make it move!
    }
    vertex( width, y );
    vertex( width, height  + 10 );
    vertex( 0, height + 10 );
    endShape( CLOSE );
  }

  noStroke();
  rect( 0, 0, 50, height );
  rect( width-50, 0, 50, height );
}
